xine-lib: xine_cfg_entry_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
xine_cfg_entry_s Struct Reference

`#include <xine.h>`

## Data Fields
const char * | key
int | type
int | exp_level
char * | unknown_value
char * | str_value
char * | str_default
int | num_value
int | num_default
int | range_min
int | range_max
char ** | enum_values
const char * | description
const char * | help
xine_config_cb_t | callback
void * | callback_data

## Field Documentation

## ◆ callback

xine_config_cb_t xine_cfg_entry_s::callback

Referenced by config_get_current_entry(), and config_shallow_copy().

## ◆ callback_data

void* xine_cfg_entry_s::callback_data

Referenced by config_get_current_entry(), and config_shallow_copy().

## ◆ description

const char* xine_cfg_entry_s::description

Referenced by config_get_current_entry(), and config_shallow_copy().

## ◆ enum_values

char** xine_cfg_entry_s::enum_values

Referenced by config_get_current_entry(), and config_shallow_copy().

## ◆ exp_level

int xine_cfg_entry_s::exp_level

Referenced by config_get_current_entry(), and config_shallow_copy().

## ◆ help

const char* xine_cfg_entry_s::help

Referenced by config_get_current_entry(), and config_shallow_copy().

## ◆ key

const char* xine_cfg_entry_s::key

Referenced by _new_entry_cb(), config_get_current_entry(), config_shallow_copy(), pgx64_config_changed(), spucc_font_change(), spucc_num_change(), update_config_cb(), vidix_ckey_callback(), vidix_rgb_callback(), and xine_config_update_entry().

## ◆ num_default

int xine_cfg_entry_s::num_default

Referenced by config_get_current_entry(), and config_shallow_copy().

## ◆ num_value

int xine_cfg_entry_s::num_value

Referenced by _alsa_mmap_cb(), _alsa_speaker_arrangement_cb(), _decoder_priority_cb(), _glx_set_lockdisplay(), _spu_dvbsub_set_black(), _spu_dvbsub_set_color(), _spudvb_set_timeout(), a52_level_change_cb(), alphablend_disable_exact_osd_alpha_blending_changed(), ao_update_av_fine_sync_method(), ao_update_av_sync_method(), ao_update_ptoffs(), ao_update_slow_fast(), bandwidth_changed_cb(), choose_speed_over_accuracy_cb(), config_demux_strategy_cb(), config_get_current_entry(), config_shallow_copy(), csc_method_changed_cb(), dri_cb(), dvb_class_get_autoplay_list(), dvb_plugin_open(), dvb_zoom_cb(), dvbspeed_init(), dxr3_scr_update_priority(), dxr3_update_add_bars(), dxr3_update_correct_durations(), dxr3_update_enhanced_mode(), dxr3_update_enhanced_mode(), dxr3_update_panscan(), dxr3_update_swap_fields(), dxr3_update_sync_mode(), dynrng_compress_change_cb(), enable_cddb_changed_cb(), ff_bitexact_cb(), ff_gain_cb(), fps_changed_cb(), gain_cb(), height_changed_cb(), jack_speaker_arrangement_cb(), join_av_cb(), lfe_level_change_cb(), metronom_base_av_offs_hook(), metronom_sync_hook(), multirate_cb_bitrate(), multirate_cb_video_size(), network_timeout_cb(), open_plugin(), opengl2_set_bicubic(), opengl2_set_scale_mode(), opengl_cb_default(), opengl_cb_render_fun(), oss_speaker_arrangement_cb(), parental_change_cb(), pgx64_config_changed(), play_single_chapter_cb(), port_changed_cb(), prot_version_change_cb(), protocol_changed_cb(), proxy_port_change_cb(), read_ahead_cb(), region_change_cb(), region_changed_cb(), seek_mode_cb(), skip_changed_cb(), skip_loop_filter_enum_cb(), skip_mode_change_cb(), spucc_cfg_enable_change(), spucc_cfg_scheme_change(), spucc_num_change(), surround_downmix_change_cb(), thread_count_cb(), tuner_set_channel(), update_config_cb(), update_fast_memcpy(), update_subtitle_size(), update_text_palette(), update_use_unscaled(), update_vertical_offset(), update_vertical_offset(), vaapi_csc_mode(), vaapi_deinterlace_flag(), vaapi_property_callback(), vaapi_scaling_level(), vaapi_swap_uv_planes(), vaapi_vdr_osd_height_flag(), vaapi_vdr_osd_width_flag(), vdpau_h264_alter_safe_seek(), vdpau_honor_progressive_flag(), vdpau_set_background(), vdpau_set_layer_bug(), vdpau_set_process_snapshots(), vdpau_set_skip_chroma(), vdpau_update_deinterlace_method_hd(), vdpau_update_deinterlace_method_sd(), vdpau_update_enable_inverse_telecine(), vdpau_update_scaling_level(), vdpau_update_sd_only_properties(), video_decoder_update_disable_flush_at_discontinuity(), video_out_set_max_frame_rate(), video_out_set_warn_discarded_threshold(), video_out_set_warn_skipped_threshold(), video_out_update_disable_flush_from_video_out(), vidix_ckey_callback(), vidix_db_callback(), vidix_rgb_callback(), vo_scale_disable_scaling_changed(), vo_scale_horizontal_pos_changed(), vo_scale_square_pixels_changed(), vo_scale_vertical_pos_changed(), width_changed_cb(), xine_config_update_entry(), xv_debug_emu_cb_config(), xv_debug_emu_cb_config(), xv_fullrange_cb_config(), xv_fullrange_cb_config(), xv_prop_update(), xv_prop_update(), xv_update_xv_pitch_alignment(), xv_update_xv_pitch_alignment(), xxmc_property_callback(), xxmc_update_attr(), xxmc_update_bob(), xxmc_update_cpu_save(), xxmc_update_disable_bob_for_progressive_frames(), xxmc_update_disable_bob_for_scaled_osd(), xxmc_update_nvidia_fix(), and xxmc_update_xv_pitch_alignment().

## ◆ range_max

int xine_cfg_entry_s::range_max

Referenced by config_get_current_entry(), and config_shallow_copy().

## ◆ range_min

int xine_cfg_entry_s::range_min

Referenced by config_get_current_entry(), and config_shallow_copy().

## ◆ str_default

char* xine_cfg_entry_s::str_default

Referenced by config_get_current_entry(), and config_shallow_copy().

## ◆ str_value

char* xine_cfg_entry_s::str_value

Referenced by _alsa_dev_name_cb(), cdda_device_cb(), config_get_current_entry(), config_save_cb(), config_shallow_copy(), country_change_cb(), device_change_cb(), device_change_cb(), device_change_cb(), do_record(), file_input_origin_change_cb(), head_dump_name_change_cb(), language_change_cb(), language_changed_cb(), load_epg_data(), mountpoint_change_cb(), multirate_cb_lang(), no_proxy_list_change_cb(), proxy_host_change_cb(), proxy_password_change_cb(), proxy_user_change_cb(), pvr_class_get_instance(), server_changed_cb(), spucc_font_change(), update_osd_font(), update_osd_font(), update_src_encoding(), update_src_encoding(), and xine_config_update_entry().

## ◆ type

int xine_cfg_entry_s::type

Referenced by config_get_current_entry(), config_shallow_copy(), and xine_config_update_entry().

## ◆ unknown_value

char* xine_cfg_entry_s::unknown_value

Referenced by config_shallow_copy().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine.h